com.h3c.sdn.adm.dao.model

## Enum AlertEntity.AlertSeverity

- java.lang.Object
- - java.lang.Enum<AlertEntity.AlertSeverity>
  - - com.h3c.sdn.adm.dao.model.AlertEntity.AlertSeverity

- All Implemented Interfaces:
    Serializable, Comparable<AlertEntity.AlertSeverity>
  Enclosing class:
    AlertEntity

      public static enum AlertEntity.AlertSeverity
      extends Enum<AlertEntity.AlertSeverity>

  Representation of the Severity enumeration - required due to OSGi behaviors with regards to the JPA representation of all entity artifacts maintained in the same physical bundle. This enumeration must maintain a one-to-one mapping with the Severity enumeration

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITICAL` critical.
    `INFO` informational.
    `WARN` warning.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AlertEntity.AlertSeverity` | `fromSeverity(Severity alertSeverity)` Locates the Severity enumeration constant matching a given Severity enumeration.
    `Severity` | `toSeverity()` returns the Severity enumeration matching this Severity enum.
    `static AlertEntity.AlertSeverity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AlertEntity.AlertSeverity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final AlertEntity.AlertSeverity INFO

      informational.

    - #### WARN

          public static final AlertEntity.AlertSeverity WARN

      warning.

    - #### CRITICAL

          public static final AlertEntity.AlertSeverity CRITICAL

      critical.

  - ### Method Detail

    - #### values

          public static AlertEntity.AlertSeverity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlertEntity.AlertSeverity c : AlertEntity.AlertSeverity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlertEntity.AlertSeverity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toSeverity

          public Severity toSeverity()

      returns the Severity enumeration matching this Severity enum.
      Returns:
        the matching Severity

    - #### fromSeverity

          public static AlertEntity.AlertSeverity fromSeverity(Severity alertSeverity)

      Locates the Severity enumeration constant matching a given Severity enumeration.
      Parameters:
        `alertSeverity` - the Severity to match
      Returns:
        the matching Severity

Copyright © 2014. All Rights Reserved.